Summary: 	A library for accessing TunePimp servers
Name: 		libtunepimp
Version: 	0.4.4
Release: 	1
License: 	LGPL
Group: 		Libraries
URL: 		http://musicbrainz.org/doc/libtunepimpDownload
Source0: 	%{name}-%{version}.tar.gz
Requires:	libmusicbrainz
BuildRequires: 	libmusicbrainz-devel
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides: 	tunepimp

%description
The tunepimp client library allows applications to make metadata
lookup to a tunepimp server, generate signatures from WAV data and
create CD Index Disk ids from audio CD roms.

%package 	devel
Summary: 	Headers for developing programs that will use libtunepimp
Group:      	Development
Provides: 	tunepimp-devel

%description    devel
This package contains the headers that programmers will need to develop
applications which will use libtunepimp.

%prep
%setup -q

%build
%configure --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/tunepimp
%{_bindir}

%files devel
%defattr(-,root,root,-)
%{_includedir}
%{_libdir}/*.a
